<template>
<!-- Please do not put any tabs in this file due to the pre content -->
<div class="block">
<div class="block italic ml-6 mt-2" v-if="name">{{ name }}</div>
<div class="rounded bg-black text-white  ml-4 px-2 overflow-x-scroll max-w-full">
<code class="whitespace-pre"><slot /></code>
</div>
</div>
</template>

<script>
export default {
    props: {
        name: String,
    }
}
</script>